Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0006377 [JEDI VCL] 00 JVCL Components major always 2015-01-23 11:46 2015-09-21 17:47
Reporter CDametto View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version Daily / GIT
Summary 0006377: Access violation in JvDBGridSelectColumnForm
Description In a TJvDbGrid, after exchanging two columns position, if you attempt to hide any column you get an access violation.

Sets the grid with: SelectColumn=scDatabase, TitleArrow=True, TitleButtonAllowMove=True, TitleButtons=True.

Thanks for your efforts
Additional Information With the previous version of the file JvDBGridSelectColumnForm.pas the error does not occur.

In the attached example: change the position of a column, open the selection columns form and uncheck a column. Pressing ok you get the access violation.
Tags No tags attached.
Attached Files zip file icon Test.zip [^] (1,658 bytes) 2015-01-23 11:49

- Relationships

There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2015-01-23 11:46 CDametto New Issue
2015-01-23 11:49 CDametto File Added: Test.zip
2015-09-14 11:20 obones Status new => acknowledged
2015-09-14 13:10 obones Status acknowledged => resolved
2015-09-14 13:10 obones Fixed in Version => Daily / GIT
2015-09-14 13:10 obones Resolution open => fixed
2015-09-14 13:10 obones Assigned To => obones
2015-09-21 17:47 obones Fixed in Version Daily / GIT => 3.49


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker